<?php
	global $wpdb;
	$id='';	$title='';
	if(isset($_REQUEST['id'])){
		$id=sanitize_textarea_field($_REQUEST['id']);
	}
?>
<div class="bootstrap-wrapper">
	<div class="dashboard-eplugin container-fluid">
		<div class="row">
			<div class="col-md-12" id="submit-button-holder">
				<div class="pull-right"><button class="btn btn-info btn-lg" onclick="return iv_update_coupon();"><?php esc_html_e('Update Coupon','wpmembership');?> </button></div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Update Coupon','wpmembership');?> </h3>
			</div>
		</div>
		<form id="coupon_form_iv" name="coupon_form_iv" class="form-horizontal" role="form" onsubmit="return false;">
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"></label>
				<div id="iv-loading"></div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Coupon Name','wpmembership');?></label>
				<div class="col-md-5">
					<input type="text" class="form-control" name="coupon_name" id="coupon_name" value="<?php echo esc_html(get_the_title($id)); ?>" placeholder="<?php esc_html_e('Enter Coupon Name Or Coupon Code','wpmembership');?>">
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Discount Type','wpmembership');?></label>
				<div class="col-md-5">
					<?php
						$dis_type= get_post_meta($id, 'iv_membership_coupon_type', true);
					?>
					<select  name="coupon_type" id ="coupon_type" class="form-control">
						<option value="amount" 		<?php echo ($dis_type=='amount' ? 'selected' : '' ); ?> > <?php esc_html_e('Fixed Amount','wpmembership');?></option>
						<option value="percentage"  <?php echo ($dis_type=='percentage' ? 'selected' : '' ); ?> > <?php esc_html_e('Percentage','wpmembership');?></option>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Package Only','wpmembership');?></label>
				<div class="col-md-5">
					<?php
						$current_pac=get_post_meta($id, 'iv_membership_coupon_pac_id', true);
						$current_pac_arr=explode(",",$current_pac);
						echo'<select multiple name="package_id" id ="package_id" class="form-control">';
						$args = array(
						'post_type' => 'iv_membership_pack', 
						'posts_per_page'=> '999',  
						'post_status'=>'draft',
						'orderby' => 'date',
						'order' => 'ASC',
						);
						$ep_query = new WP_Query( $args );
						if ( $ep_query->have_posts() ) :
						while ( $ep_query->have_posts() ) : $ep_query->the_post();
						$epid = get_the_ID();
						$recurring= get_post_meta( $epid,'iv_membership_package_recurring',true);
						$pac_cost= get_post_meta( $epid,'iv_membership_package_cost',true);
						if($recurring!='on' and $pac_cost!="" ){?>
						<option value="<?php echo esc_html($epid); ?>" <?php echo (in_array( $epid, $current_pac_arr) ? 'selected' : '') ?>><?php echo esc_html(get_the_title($epid)); ?></option>
						<?php
						}
						endwhile;
						endif;
						echo '</select>';
					?>
				</div>
			</div>
			<div class="form-group">
				<label for="inputEmail3" class="col-md-2 control-label"><?php esc_html_e('Usage Limit','wpmembership');?></label>
				<div class="col-md-5">
					<input type="text" class="form-control" id="coupon_count" name="coupon_count" value="<?php echo esc_html(get_post_meta($id, 'iv_membership_coupon_limit', true)); ?>"  placeholder="<?php esc_html_e('Enter Usage Limit Number','wpmembership');?>">
				</div>
			</div>
			<div class="form-group" >
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Start Date','wpmembership');?></label>
				<div class="col-md-5">
					<input type="text"  readonly name="start_date"   id="start_date" class="form-control ctrl-textbox datepicker"  placeholder="<?php esc_html_e('Select Date','wpmembership');?>" value="<?php echo esc_html(get_post_meta($id, 'iv_membership_coupon_start_date', true)); ?>">
				</div>
			</div>
			<div class="form-group">
				<label for="inputEmail3" class="col-md-2 control-label"><?php esc_html_e('Expire Date','wpmembership');?></label>
				<div class="col-md-5">
					<input type="text" class="form-control" readonly id="end_date" name="end_date" value="<?php echo esc_html(get_post_meta($id, 'iv_membership_coupon_end_date', true)); ?>"  placeholder="<?php esc_html_e('Select Date','wpmembership');?>">
				</div>
			</div>
			<div class="form-group">
				<label for="inputEmail3" class="col-md-2 control-label"><?php esc_html_e('Amount','wpmembership');?></label>
				<div class="col-md-5">
					<input type="text" class="form-control" id="coupon_amount" name="coupon_amount" value="<?php echo esc_html(get_post_meta($id, 'iv_membership_coupon_amount', true)); ?>"  placeholder="<?php esc_html_e('Coupon Amount [ Only Amount no Currency ]','wpmembership');?> ">
				</div>
			</div>
			<input type="hidden"  id="coupon_id" name="coupon_id" value="<?php echo esc_html($id); ?>"  >
		</form>
		<div class=" col-md-7  bs-callout bs-callout-info">
			<?php esc_html_e('Note : Coupon will work on "One Time Payment" only. Coupon will not work on recurring payment.','wpmembership');?>
		</div>
		<div class="row">
			<div class="col-xs-12">
				<div align="center">
				<button class="btn btn-info btn-lg" onclick="return iv_update_coupon();"><?php esc_html_e('Update Coupon','wpmembership');?></button></div>
				<p>&nbsp;</p>
			</div>
		</div>
	</div>
</div>
