<div class="profile-content">
	<div class="portlet light">
		<div class="portlet-title tabbable-line clearfix">
			<div class="caption caption-md">
				<div class="caption caption-md">
					<h4 class="lighter-heading "><?php  esc_html_e('Add New Post','wpmembership');?></h4>
				</div>
			
			</div>
			</div>
		<div class="portlet-body">
			<div class="tab-content">
				<div class="tab-pane active" id="tab_1_1">
					<?php
						// Check Max\
						$package_id=get_user_meta($current_user->ID,'iv_membership_package_id',true);
						$max=get_post_meta($package_id, 'iv_membership_package_max_post_no', true);
						if($max==""){
							$max=999999;
						}
						$my_post_count= count_user_posts( $current_user->ID);
						if ( $my_post_count>=$max or !current_user_can('edit_posts') )  {
							$iv_redirect = get_option( '_iv_membership_profile_page');
							$reg_page= get_permalink( $iv_redirect);
						?>
						<?php  esc_html_e('Please Upgrade Your Account','wpmembership');?>
						<a href="<?php echo esc_url( $reg_page).'?&profile=level'; ?>" title="Upgarde"><b><?php  esc_html_e('Here','wpmembership');?> </b></a>  <?php  esc_html_e('To Add More Post','wpmembership');?>
						<?php
							}else{
						?>
						<div class="row">
							<div class="col-md-12">
								<form action="" id="new_post" name="new_post"  method="POST" role="form">
									<div class=" form-group">
										<label for="text" class=" control-label"><?php  esc_html_e('Title','wpmembership');?></label>
										<div class="  ">
											<input type="text" class="form-control" name="title" id="title" value="" placeholder="<?php  esc_html_e('Enter Title Here','wpmembership');?>">
										</div>
									</div>
									<div class="form-group">
										<div class=" ">
											<?php
												$settings_a = array(
												'textarea_rows' =>10,
												'editor_class' => 'form-control'
												);
												$editor_id = 'new_post_content';
												wp_editor( '', $editor_id,$settings_a );
											?>
										</div>
									</div>
									<div class=" row form-group ">
										<label for="text" class=" col-md-5 control-label"><?php  esc_html_e('Feature Image','wpmembership');?>  </label>
										<div class="col-md-4" id="post_image_div">
											<a  href="javascript:void(0);" onclick="edit_post_image('post_image_div');"  >
												<?php  echo '<img src="'. WP_iv_membership_URLPATH.'assets/images/image-add-icon.png">'; ?>
											</a>
										</div>
										<input type="hidden" name="feature_image_id" id="feature_image_id" value="">
										<div class="col-md-3" id="post_image_edit">
											<button type="button" onclick="edit_post_image('post_image_div');"  class="btn btn-xs green-haze"><?php  esc_html_e('Add','wpmembership');?></button>
										</div>
									</div>
									<div class="clearfix"></div>
									<label for="text" class="row col-md-12 control-label"><?php  esc_html_e('Custom Fields','wpmembership');?> </label>
									<div id="custom_field_div">
										<div class=" row form-group " >
											<div class=" col-md-6"> <input type="text" class="form-control" name="custom_name[]" id="custom_name[]" value="" placeholder="<?php  esc_html_e('Custom Field Name','wpmembership');?>" > </div>
											<div  class=" col-md-6">
												<textarea name="custom_value[]" id="custom_value[]"  class=" col-md-12 form-control"  rows="1"placeholder="<?php  esc_html_e('Value','wpmembership');?>" ></textarea>
											</div>
										</div>
									</div>
									<div class=" row  form-group ">
										<div class="col-md-12" >
											<button type="button" onclick="add_custom_field();"  class="btn btn-xs green-haze"><?php  esc_html_e('More Field','wpmembership');?></button>
										</div>
									</div>
									<div class="clearfix"></div>
									<div class=" row form-group ">
										<label for="text" class=" col-md-12 control-label"><?php  esc_html_e('Post Status','wpmembership');?>  </label>
										<div class="col-md-12" id="">
											<select name="post_status" id="post_status"  class="form-control">
												<option value="pending"><?php  esc_html_e('Pending Review','wpmembership');?></option>
												<option value="draft"><?php  esc_html_e('Draft','wpmembership');?></option>
											</select>
										</div>
									</div>
									<div class="clearfix"></div>
									<div class=" row form-group">
										<label for="text" class=" col-md-12 control-label"><?php  esc_html_e('Category','wpmembership');?></label>
										<div class=" col-md-12 ">
											<?php
												global $current_user;
												$postId = ''; $curr_post_id='';
												$currentCategory = '';  
												$currentCategoryId =''; 
												$categories = get_categories('hide_empty=0'); 
												$package_id= get_user_meta($current_user->ID,'iv_membership_package_id',true);
												$allow_cats= explode("|",get_post_meta($package_id, 'iv_membership_package_category_ids', true));
												$optionname = "postcats"; 
												$emptyvalue = "";
												$selected="";								
												echo '<select name="'.esc_html($optionname).'" class="form-control">
												<option selected="'.esc_html($selected).'" value="'.esc_html($emptyvalue).'">'.esc_html__('Choose a category','wpmembership').'</option>';
												foreach($categories as $category){
													if($currentCategoryId == $category->term_id) {
														$selected = 'selected="selected"';
														} else {
														$selected = '';
													}
													$allow =in_array( 'all', $allow_cats) ? 'all' : '';
													$allow_2 =in_array( $category->term_id, $allow_cats) ? '1' : '0';
													if($allow=='all' or $allow_2=='1'){
														echo '<option name="'.esc_html($category->term_id).'" value="'.esc_html($category->term_id).'" '.esc_html($selected).'>'.esc_html($category->name).'</option>';
													}
												}
												echo '</select>';
											?>
										</div>
									</div>
									<div class="margiv-top-10">
								    <div class="" id="update_message"></div>
										<input type="hidden" name="user_post_id" id="user_post_id" value="<?php echo esc_html($curr_post_id); ?>">
								    <button type="button" onclick="iv_save_post();"  class="btn green-haze"><?php  esc_html_e('Save Post','wpmembership');?></button>
									</div>
								</form>
							</div>
						</div>
						<?php
						} 
					?>
				</div>
			</div>
		</div>
	</div>
</div>