<div class="row form-group">
	<label for="text" class="col-md-4 col-xs-4 col-sm-4 control-label"><?php  esc_html_e('Package Name','wpmembership');?></label>
	<div class="col-md-8  ">
		<?php
			$recurring_text='';
			if( $package_name==""){
				$iv_membership_pack='iv_membership_pack';
				$sql=$wpdb->prepare("SELECT * FROM $wpdb->posts WHERE post_type = '%s'  and post_status='draft' ",$iv_membership_pack );
				$membership_pack = $wpdb->get_results($sql);
				$total_package = count($membership_pack);
				if(sizeof($membership_pack)>0){
					$i=0;
					echo'<select name="package_sel" id ="package_sel" class=" form-dropdown col-md-12">';
					foreach ( $membership_pack as $row )
					{
						echo '<option value="'. esc_html($row->ID).'" >'. esc_html($row->post_title).'</option>';
						if($i==0){$package_id=$row->ID;}
						$i++;
					}
					echo '</select>';
					$package_id= $membership_pack[0]->ID;
					$recurring= get_post_meta($package_id, 'iv_membership_package_recurring', true);
					if($recurring == 'on'){
						$package_amount=get_post_meta($package_id, 'iv_membership_package_recurring_cost_initial', true);
						}else{
						$package_amount=get_post_meta($package_id, 'iv_membership_package_cost',true);
					}
				?>
				<?php
				}else{
					  esc_html_e('--','wpmembership');
				}
				}else{
				echo '<label class=""> '.esc_html($package_name).'</label>';
				$recurring= get_post_meta($package_id, 'iv_membership_package_recurring', true);
				if($recurring == 'on'){
					$package_amount=get_post_meta($package_id, 'iv_membership_package_recurring_cost_initial', true);
					}else{
					$package_amount=get_post_meta($package_id, 'iv_membership_package_cost',true);
				}
			}
		?>
	</div>
</div>
<div class="row form-group">
	<label for="text" class="col-md-4 col-xs-4 col-sm-4 control-label"><?php  esc_html_e('Amount','wpmembership');?></label>
	<div class="col-md-8 col-xs-8 col-sm-8 " id="p_amount"> <label class="control-label">
		
		<?php 
		if($package_amount!=''){
			echo esc_html($package_amount).' '.esc_html($api_currency) ; 
		}else{
			esc_html_e('--','wpmembership');
		}
		?> 
		
		</label>
	</div>
</div>
<?php	
	$iv_membership_payment_coupon=get_option('_iv_membership_payment_coupon');
	if($iv_membership_payment_coupon=='' ){ $iv_membership_payment_coupon='yes';	}
	if($iv_membership_payment_coupon=='yes' ){	
	?>
	<div class="row form-group" id="show_hide_div">
		<label for="text" class="col-md-4 col-xs-4 col-sm-4 control-label"></label>
		<div class="col-md-8 col-xs-8 col-sm-8 " >
			<button type="button" onclick="show_coupon();"  class="btn btn-default center"><?php  esc_html_e('Have a coupon?','wpmembership');?></button>
		</div>
	</div>
	<?php
		require_once(WP_iv_membership_template.'signup/coupon_form_2.php');
	}
?>

<?php
	if($tax_active_module=='yes'){
	?>
	<div class="row form-group">
		<label for="text" class="col-md-4 control-label"><?php  esc_html_e('Vat/Tax','wpmembership');?></label>
		<div class="col-md-8" id="tax">
			<?php
				$tax_total=0;
				$tax_type= get_option('_iv_tax_type');
				$tax_active_module=get_option('_iv_membership_active_tax');
				if($tax_active_module=='' ){ $tax_active_module='yes';	}
				if($tax_type==''){$tax_type='country';}
				if($tax_active_module=='yes' AND $tax_type=='country'){
					$countries_tax_array= (get_option('_iv_countries_tax')!="" ? get_option('_iv_countries_tax') : array() );
					$country_id= (isset($first_country)? $first_country:'0');
					if(array_key_exists($country_id , $countries_tax_array)){
						$country_tax_value= $countries_tax_array[$country_id];
						$tax_total=$package_amount * $country_tax_value/100;
					}
				}
				if($tax_active_module=='yes' AND $tax_type=='common'){
					$common_tax_value= get_option('_iv_comman_tax_value');
					$tax_total=$package_amount * $common_tax_value/100;
				}
				echo '<label class="control-label">'.esc_html($tax_total).''.esc_html($api_currency).'</label>';
			?>
		</div>
	</div>
	<?php
	}
?>
<div class="row">
	<label for="text" class="col-md-4 col-xs-4 col-sm-4 control-label"><?php  esc_html_e('Total','wpmembership');?></label>
	<div class="col-md-8 col-xs-8 col-sm-8" id="total"><label class="control-label">  <?php echo esc_html($package_amount).''.esc_html($api_currency); ?></label>
	</div>
</div>
<input type="hidden" name="reg_error" id="reg_error" value="yes">
<input type="hidden" name="package_id" id="package_id" value="<?php echo esc_html($package_id); ?>">
<input type="hidden" name="return_page" id="return_page" value="<?php  the_permalink() ?>">
<?php
	$iv_membership_payment_terms=get_option('iv_membership_payment_terms');
	$term_text='I have read & accept the <a href="#"> Terms & Conditions</a>';
	if( get_option( 'iv_membership_payment_terms_text' ) ) {
		$term_text= get_option('iv_membership_payment_terms_text');
	}
	if($iv_membership_payment_terms=='yes'){
	?>
	<div class="row">
		<div class="col-md-4 col-xs-4 col-sm-4 ">
		</div>
		<div class="col-md-8 col-xs-8 col-sm-8 ">
			<label>
				<input type="checkbox" data-validation="required"
				data-validation-error-msg="You have to agree to our terms "  name="check_terms" id="check_terms"> <?php echo esc_html($term_text); ?>
			</label>
		</div>
	</div>
	<?php
	}
?>
<div class="row">
	<div class="col-md-4 col-xs-4 col-sm-4 ">
	</div>
	<div class="col-md-8 col-xs-8 col-sm-8 ">
		<div id="paypal-button">
			<div id="loading-3"><img src='<?php echo WP_iv_membership_URLPATH. 'admin/files/images/loader.gif'; ?>' /></div>
			<?php				
				if($eprecaptcha_api==''){?>
				
				<button  id="submit_iv_membership_payment" name="submit_iv_membership_payment"  type="submit" class="btn btn-info ctrl-btn"  > <?php  esc_html_e('Submit','wpmembership');?></button>
				<?php
				}else{
				?>					
					<button  id="submit_iv_membership_payment" name="submit_iv_membership_payment"  type="submit" class="btn btn-info ctrl-btn g-recaptcha" data-sitekey="<?php echo esc_html($eprecaptcha_api); ?>"  data-callback='epluginrecaptchaSubmit' data-action='submit' > <?php  esc_html_e('Submit','wpmembership');?></button>
				<?php
				}
				?>
					
		</div>
	</div>
</div>